## This function is used by mjplot.

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function __mjplt2__ (caller, x1, x2, fmt)

  if (nargin < 3 || nargin > 4)
    usage ("__mjplt2__ (caller, x1, x2) or \n       __mjplt2__ (caller, x1, x2, fmt)");
  endif

  if (nargin == 3)
    fmt = "";
  endif

  if (! isstr (fmt))
    error ("__mjplt2__: fmt must be a string");
  endif
  if (any (any (imag (x1))))
    x1 = real (x1);
  endif
  if (any (any (imag (x2))))
    x2 = real (x2);
  endif
  if (is_scalar (x1))
    if (is_scalar (x2))
      __mjplt2ss__ (caller, x1, x2, fmt);
    else
      error ("%s: length must match", caller);
    endif
  elseif (is_vector (x1))
    if (is_vector (x2))
      __mjplt2vv__ (caller, x1, x2, fmt);
    elseif (is_matrix (x2))
      __mjplt2vm__ (caller, x1, x2, fmt);
    endif
  elseif (is_matrix (x1))
    if (is_vector (x2))
      __mjplt2mv__ (caller, x1, x2, fmt);
    elseif (is_matrix (x2))
      __mjplt2mm__ (caller, x1, x2, fmt);
    endif
  endif
endfunction
