## This function is used by mjplot.

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function __mjplt2mm__ (caller, x, y, fmt)
  global __mjplt_mjgraw_cmd__
  global __mjplt_il_data__

  if (nargin < 3 || nargin > 4)
    error ("__mjplt2mm__: expecting three or four arguments");
  elseif (nargin == 3 || fmt == "")
    fmt = " ";  ## Yes, this is intentionally not an empty string!
  endif

  [x_nr, x_nc] = size (x);
  [y_nr, y_nc] = size (y);

  fmt_nr = rows (fmt);
  if (x_nr == y_nr && x_nc == y_nc)
    if (x_nc > 0)
      for c = 1: x_nc
        __mjplt_il_data__ = sprintf ("%s%se\n", \
                                     __mjplt_il_data__, \
                                     sprintf ("%.15g %.15g\n", \
                                              [x(:,c), y(:,c)]'));
        __mjplt_mjgraw_cmd__ = sprintf ("%s '-' %s,", \
                                        __mjplt_mjgraw_cmd__, \
                                        deblank (fmt(min (fmt_nr, c), :)));
      endfor
    else
      error ("__mjplt2mm__: arguments must be matrices");
    endif
  else
    error ("%s: matrix dimensions must match", caller);
  endif

endfunction
