## This function is used by mjplot.

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function __mjplt2vm__ (caller, x, y, fmt)
  global __mjplt_mjgraw_cmd__
  global __mjplt_il_data__

  if (nargin < 3 || nargin > 4)
    error ("__mjplt2vm__: expecting three or four arguments");
  elseif (nargin == 3 || fmt == "")
    fmt = " ";  ## Yes, this is intentionally not an empty string!
  endif

  [x_nr, x_nc] = size (x);
  [y_nr, y_nc] = size (y);

  if (x_nr == 1)
    x = x';
    tmp = x_nr;
    x_nr = x_nc;
    x_nc = tmp;
  elseif (x_nc != 1),
    error ("__mjplt2vm__: x shall be a vector");
  endif

  if (x_nr == y_nr)
    1;
  elseif (x_nr == y_nc)
    y = y';
    tmp = y_nr;
    y_nr = y_nc;
    y_nc = tmp;
  else
    error ("%s: matrix dimensions must match", caller);
  endif

  fmt_nr = rows (fmt);
  if (y_nc > 0)
    for c = 1:y_nc
      __mjplt_il_data__ = sprintf ("%s%se\n", __mjplt_il_data__, \
                                   sprintf ("%.15g %.15g\n", [x, y(:,c)]'));
      __mjplt_mjgraw_cmd__ = sprintf ("%s '-' %s,", \
                                      __mjplt_mjgraw_cmd__, \
                                      deblank (fmt(min (fmt_nr, c), :)));
    endfor
  else
    error ("__mjplt2vm__: arguments must be matrices");
  endif
endfunction
