## This function is used by mjplot.

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function __mjplt2vv__ (caller, x, y, fmt)
  global __mjplt_mjgraw_cmd__
  global __mjplt_il_data__

  if (nargin < 3 || nargin > 4),
    error ("__mjplt2vv__: expecting three or four arguments");
  elseif (nargin == 3),
    fmt = "";
  elseif (rows (fmt) > 1),
    fmt = fmt (1, :);
  endif

  [x_nr, x_nc] = size (x);
  [y_nr, y_nc] = size (y);

  if (x_nc == 1),
    x = x';
    x_nc = x_nr;
  elseif (x_nr != 1),
    error ("__mjplt2vv__: x and y shall be vectors");
  endif

  if (y_nc == 1),
    y = y';
    y_nc = y_nr;
  elseif (y_nr != 1),
    error ("__mjplt2vv__: x and y shall be vectors");
  endif

  if (x_nc == y_nc),
    __mjplt_il_data__ = sprintf ("%s%se\n", __mjplt_il_data__, \
                                 sprintf ("%.15g %.15g\n", [x; y]));
    __mjplt_mjgraw_cmd__ = sprintf ("%s '-' %s,", \
                                    __mjplt_mjgraw_cmd__, fmt);
  else
    error ("%s: vector lengths must match", caller);
  endif
endfunction
