## This function is used by __mjpltopt__.

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function s = __mjpltoptaxes__ (caller, pv)  
  fname = "__mjpltoptaxes__";
  if (nargin != 2),
    error ("%s: expecting two arguments", fname);
  elseif ((! isempty (pv)) && (! isstr (pv))), 
    error ("%s: expecting string argument to Axes", caller);
  elseif ((! isempty (pv)) && (rows (pv) != 1)),
    error ("%s: expecting string row vector", fname);
  endif
  
  if (isempty (pv) || isempty (deblank (pv))),
    s = "";
  else
    t = deblank (pv);
    
    if (strcmp (t, "x1y1") ||
        strcmp (t, "x1y2") ||
        strcmp (t, "x2y1") ||
        strcmp (t, "x2y2")),
      s = t;
    else
      error ("%s: unrecognized argument to Axes '%s'", caller, t);
    endif
  endif
endfunction
