## This function is used by __mjpltopt__.

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function s = __mjpltoptlt__ (caller, pv)
  
  fname = "__mjpltoptlt__";
  if (nargin != 2),
    error (sprintf ("%s: expecting two arguments", fname));
  endif
  
  if (isempty (pv)),
    tmp = [];
    pv = "";
  elseif (isstr (pv)),
    tmp = str2num (pv);
  else
    tmp = pv;
  endif
  
  if (! isempty (tmp)),
    [nr, nc] = size (tmp);
    if (nr == 1 && nc == 1),
      s = sprintf ("%d", tmp);
    elseif (nr == 1 && nc == 3),
      tmp = round (tmp);
      if (all (tmp == [0, 0, 0])),
        s = "0";
      elseif (all (tmp == [0, 0, 1])),
        s = "3";
      elseif (all (tmp == [0, 1, 0])),
        s = "2";
      elseif (all (tmp == [0, 1, 1])),
        s = "5";
      elseif (all (tmp == [1, 0, 0])),
        s = "1";
      elseif (all (tmp == [1, 0, 1])),
        s = "4";
      elseif (all (tmp == [1, 1, 0]) || all (tmp == [1, 1, 1])),
        s = "6";
      else
        error (sprintf ("%s: unrecognized argument to LineType '%g  %g  %g'", caller, pv));
      endif
    else
      disp (sprintf ("error: %s: unrecognized argument to LineType:", caller));
      disp (pv);
      error ("");
    endif
  else
    pv = deblank (pv);
    if (isempty (pv)),
      tmp = "none";
    else
      tmp = abbrev (pv, ["auto   "; \
                         "b      "; \
                         "black  "; \
                         "blue   "; \
                         "brown  "; \
                         "cyan   "; \
                         "green  "; \
                         "k      "; \
                         "magenta"; \
                         "none   "; \
                         "red    "; \
                         "white  "; \
                         "yellow "]);
    endif
    if (isempty (tmp)),
      error (sprintf ("%s: unrecognized argument to LineType: '%s'", caller, pv));
    elseif (strcmp (tmp, "auto") || strcmp (tmp, "none")),
      s = "";
    elseif (strcmp (tmp, "magenta")),
      s = "4";
    elseif (strcmp (tmp, "cyan")),
      s = "5";
    elseif (strcmp (tmp, "red")),
      s = "1";
    elseif (strcmp (tmp, "green")),
      s = "2";
    elseif (strcmp (tmp, "b") || strcmp (tmp, "blue")),
      s = "3";
    elseif (strcmp (tmp, "white")  || \
            strcmp (tmp, "k")      || \
            strcmp (tmp, "black")  || \
            strcmp (tmp, "yellow") || \
            strcmp (tmp, "brown")),
      s = "6";
    else
      error (sprintf ("%s: something went wrong... argument to LineType: '%s'", caller, pv));
    endif
  endif
endfunction
