## This function is used by __mjpltopt__

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function s = __mjpltoptpt__ (caller, pv)

  fname = "__mjpltoptpt__";
  if (nargin != 2),
    error ("%s: expecting two arguments", fname);
  elseif (isempty (pv) || (isstr (pv) && isempty (deblank (pv)))),
    s = "";
  elseif (! isstr (pv)),
    s = sprintf ("%d", pv(1,1));
  elseif (! isempty (tmp = str2num (pv))),
    s = sprintf ("%d", tmp(1,1));
  else
    valid = ["o        ";
             "diamond  ";
             "+        ";
             "square   ";
             "x        ";
             "^        ";
             "*        ";
             ".        ";
             "v        ";
             ">        ";
             "<        ";
             "pentagram";
             "hexagram ";
             "none     "];
    tmp = abbrev (deblank (pv), valid);
    if (isempty (tmp)),
      error ("%s: unrecognized argument to PointType: '%s'", 
             caller, pv);
    elseif (strcmp (tmp, "o") ||
            strcmp (tmp, "diamond")),
      s = "1";
    elseif (strcmp (tmp, "+")),
      s = "2";
    elseif (strcmp (tmp, "square")),
      s = "3";
    elseif (strcmp (tmp, "x")),
      s = "4";
    elseif (strcmp (tmp, "^")),
      s = "5";
    elseif (strcmp (tmp, "*") ||
            strcmp (tmp, ".") ||
            strcmp (tmp, "v") ||
            strcmp (tmp, ">") ||
            strcmp (tmp, "<") ||
            strcmp (tmp, "pentagram") ||
            strcmp (tmp, "hexagram")),
      s = "6";
    elseif (strcmp (tmp, "none")),
      s = "";
    else
      error ("%s: something went wrong", fname);
    endif
  endif
endfunction
