## This function is used by __mjpltopt__.

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function s = __mjpltoptsmooth__ (caller, pv)  
  fname = "__mjpltoptsmooth__";
  if (nargin != 2),
    error ("%s: expecting two arguments", fname);
  elseif ((! isempty (pv)) && (! isstr (pv))), 
    error ("%s: expecting string or empty matrix as argument to Smooth",
           caller);
  elseif ((! isempty (pv)) && rows (pv) > 1),
    error ("%s: expecting string row vector or empty matrix", fname);
  endif
  
  if (isempty (pv) || isempty (deblank (pv))),
    t = "csplines";
  else
    t = deblank (pv);
  endif

  u = ["unique   "; \
       "csplines "; \
       "acsplines"; \
       "bezier   "; \
       "sbezier  "];
  a = abbrev (t, u);
  if (! isempty (a)),
    s = a(1); ## First character is a uniqe abbreviation
  else
    error ("%s: unrecognized argument to Smooth '%s'", caller, t);
  endif

endfunction
