## This function is used by __mjpltopt__.

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function style = __mjpltoptstyle__ (caller, pv)

  fname = "__mjpltoptstyle__";
  if (nargin != 2),
    error (sprintf ("%s: expecting two arguments", fname));
  endif

  if (isempty (pv)),
    pv = ""; ## Make sure it is a string
  endif

  if (! isstr (pv)),
    error (sprintf ("%s: argument for Style should be a string", \
                    caller));
  endif

  pv = deblank (pv(1,:));
  if (isempty (pv)),
    ## default style
    pv = "lines";
  endif

  arguments = ["-             "; \
               "--            "; \
               "l             "; \
               "lines         "; \
               "@             "; \
               "points        "; \
               "-@            "; \
               "@-            "; \
               "-.            "; \
               ".-            "; \
               "lp            "; \
               "linespoints   "; \
               "i             "; \
               "^             "; \
               "impulses      "; \
               ".             "; \
               ":             "; \
               "dots          "; \
               "L             "; \
               "steps         "; \
               "fsteps        "; \
               "histeps       "; \
               "~             "; \
               "errorbars     "; \
               "xerrorbars    "; \
               "yerrorbars    "; \
               "xyerrorbars   "; \
               "#             "; \
               "boxes         "; \
               "#~            "; \
               "~#            "; \
               "boxerrorbars  "; \
               "boxxyerrorbars"; \
               "financebars   "; \
               "candlesticks  "; \
               "vector        "; \
               "none          "];
  
  tmp = abbrev (pv, arguments);
  if (isempty (tmp)),
    error (sprintf ("%s: unrecognized argument to Style: '%s'", caller, pv));
  elseif (strcmp (tmp, "-") || strcmp (tmp, "--") || \
          strcmp (tmp, "l") || strcmp (tmp, "lines")),
    style = 1;
  elseif (strcmp (tmp, "@") || strcmp (tmp, "points")),
    style = 2;
  elseif (strcmp (tmp, "-@") || strcmp (tmp, "@-") || \
          strcmp (tmp, "-.") || strcmp (tmp, ".-") || \
          strcmp (tmp, "lp") || strcmp (tmp, "linespoints")),
    style = 3;
  elseif (strcmp (tmp, "i") || strcmp (tmp, "^") || \
          strcmp (tmp, "impulses")),
    style = 4;
  elseif (strcmp (tmp, ".") || strcmp (tmp, ":") || \
          strcmp (tmp, "dots")),
    style = 5;
  elseif (strcmp (tmp, "L") || strcmp (tmp, "steps")),
    style = 6;
  elseif (strcmp (tmp, "fsteps")),
    style = 7;
  elseif (strcmp (tmp, "histeps")),
    style = 8;
  elseif (strcmp (tmp, "~") || strcmp (tmp, "errorbars")),
    style = 9;
  elseif (strcmp (tmp, "xerrorbars")),
    style = 10;
  elseif (strcmp (tmp, "yerrorbars")),
    style = 11;
  elseif (strcmp (tmp, "xyerrorbars")),
    style = 12;
  elseif (strcmp (tmp, "#") || strcmp (tmp, "boxes")),
    style = 13;
  elseif (strcmp (tmp, "#~") || strcmp (tmp, "~#") || \
          strcmp (tmp, "boxerrorbars")),
    style = 14;
  elseif (strcmp (tmp, "boxxyerrorbars")),
    style = 15;
  elseif (strcmp (tmp, "financebars")),
    style = 16;
  elseif (strcmp (tmp, "candlesticks")),
    style = 17;
  elseif (strcmp (tmp, "vector")),
    style = 18;
  elseif (strcmp (tmp, "none")),
    style = 1;
    ## Hmmm, any suggestions of what to do?
  else
    error (sprintf ("%s: %s: something went wrong here... argument to Style: '%s'", caller, fname, pv));
  endif
endfunction
