## retval = mjcloseplot ()
##
## Close a gnuplot process.
##
## If the value of the global variable 'gnuplot_fid' is a positive
## integer, it is assumed that a gnuplot process is running.
## mjcloseplot closes that process.
##
## See also: mjgraw, mjplot

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function retval = mjcloseplot ()
  global gnuplot_fid = -1
  if (gnuplot_fid > 0),
    retval = pclose (gnuplot_fid);
  endif
  gnuplot_fid = -1;
endfunction
