## fid = mjgraw (s)
##
## If the global variable 'gnuplot_fid' is unset, or if it has a
## negative value, gnuplot is started with a pipe for writing to
## gnuplot. The file identifier is returned (and 'gnuplot_fid' is set to
## the same value).
##
## If the value of the global variable 'gnuplot_fid' is a positive
## integer, it is assumed that a gnuplot process is running and the
## value of 'gnuplot_fid' is returned.
##
## 1) fid = mjgraw ()
##    If no arguments are given, mjgraw does as mentioned above only.
##
## 2) fid = mjgraw (s)
##    If one argument is given and it is a string, the string is
##    written to the pipe to gnuplot. No new-line character is added. If
##    the string is a matrix, only the first row is written.
##
## See also: mjplot, closegnuplot

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function fid = mjgraw (s)
  global gnuplot_fid = popen ("gnuplot", "w")
  
  if (gnuplot_fid < 0),
    gnuplot_fid = popen ("gnuplot", "w");
  endif

  fid = gnuplot_fid;

  if (nargin == 1 && isstr (s)),
    fputs (fid, s);
  elseif (nargin),
    error ("mjgraw: expecting no arguments or one string argument"); 
  endif
endfunction
